#### D.6.15.15 stripHNE

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  stripHNE(L); L list

Assume:
  L is the output of `develop(f)`, or of `extdevelop(develop(f),n)`, or (one entry of) the list `hne` in the ring created by `hnexpansion(f[,"ess"])`.

Return:
  list in the same format as L, but all polynomials L[4], resp. L[i][4], are set to zero.

Note:
  The purpose of this procedure is to remove huge amounts of data no longer needed. It is useful, if one or more of the polynomials in L consume much memory. It is still possible to compute invariants, parametrizations etc. with the stripped HNE(s), but it is not possible to use `extdevelop` with them.

Example:

    LIB "hnoether.lib";
    ring r=0,(x,y),dp;
    list Hne=develop(x2+y3+y4);
    Hne;
    ==> [1]:
    ==>    _[1,1]=0
    ==>    _[1,2]=x
    ==>    _[2,1]=0
    ==>    _[2,2]=-1
    ==> [2]:
    ==>    1,-1
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    x4-2x2y+y2+y
    ==> [5]:
    ==>    1
    stripHNE(Hne);
    ==> [1]:
    ==>    _[1,1]=0
    ==>    _[1,2]=x
    ==>    _[2,1]=0
    ==>    _[2,2]=-1
    ==> [2]:
    ==>    1,-1
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    0
    ==> [5]:
    ==>    1

See also: develop; extdevelop; hnexpansion.

User manual for Singular version 4.4.1, 2025, generated by texi2html.